Bug 150601 - amarok crashed at startup
amarok crashed at startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-08 15:58 EST by Martin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 12:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin 2005-03-08 15:58:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
there is a problem with the new amarok 1.2.1 package on fc3.
the program crashed after a few seconds with the following message:


amaroK could not find any sound-engine plugins. amaroK is now updating
the KDE configuration database. Please wait a couple of minutes, then
restart amaroK.
If this does not help, it is likely that amaroK is installed under the
wrong prefix, please fix your installation using:
$ cd /path/to/amarok/source-code/
$ su -c "make uninstall"
$ ./configure --prefix=`kde-config --prefix` && su -c "make install"
$ kbuildsycoca
$ amarok
More information can be found in the README file. For further assistance
join us at #amarok on irc.freenode.net.

the preceding version 1.2 of amarok works well

Version-Release number of selected component (if applicable):
amarok-1.2.1-1.i386.rpm

How reproducible:
Always

Steps to Reproduce:
  

Additional info:
Comment 1 Martin 2005-03-08 16:02:31 EST
error message on console:

[root@gecko tmp]# amarok
amaroK: [Loader] Starting amarokapp..
amaroK: [Loader] Don't run gdb, valgrind, etc. against this binary! Use amarokapp.
kbuildsycoca running...
Reusing existing ksycoca
[root@gecko tmp]# Mutex destroy failure: Device or resource busy
ICE default IO error handler doing an exit(), pid = 7940, errno = 0
ICE default IO error handler doing an exit(), pid = 7976, errno = 0
Comment 2 Martin 2005-03-08 16:11:48 EST
build the binary by hand works well

# tar xfj amarok-1.2.1.tar.bz2
# cd amarok-1.2.1
# ./configure --prefix=`kde-config --prefix`
# make install
# kbuildsycoca
# amarok
Comment 3 Aurelien Bompard 2005-03-09 06:43:25 EST
With the Extras package installed, please run kbuildsycoca as your user and tell
me if it works better.
Comment 4 Martin 2005-03-09 11:45:01 EST
i run kbuildsycoca before starting amarok, but the same behaviour.

i created a new user acount on gnome, but the same
Comment 5 Martin 2005-03-11 17:14:25 EST
I could solve the problem now by doing the following:

rm ~/.kde/share/config/amarokrc
rm -rf ~/.kde/share/amarok

and build amarok with the last CVS tree:

CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/extras
export CVSROOT
cvs login
cvs checkout amarok
cd FC-3
make i386

Note You need to log in before you can comment on or make changes to this bug.